Author Topic: ( acad 2006 vanilla ) dynamic block & hatch  (Read 21307 times)

0 Members and 1 Guest are viewing this topic.

Mark

  • Custom Title
  • Seagull
  • Posts: 28762
( acad 2006 vanilla ) dynamic block & hatch
« on: December 07, 2007, 11:00:40 AM »
For some reason, in this one particular drawing, when ever I flip the block the solid hatch that's part of it stays behind. I've tried everything I can think of! *baffled*
TheSwamp.org  (serving the CAD community since 2003)

MP

  • Seagull
  • Posts: 17750
  • Have thousands of dwgs to process? Contact me.
Re: ( acad 2006 vanilla ) dynamic block & hatch
« Reply #1 on: December 07, 2007, 11:05:04 AM »
Dump the hatch object so we can see its data?

Code: [Select]
(   (lambda ( / ename )
        (if (setq ename (car (nentsel)))
            (progn
                (vlax-dump-object (vlax-ename->vla-object ename))
                (mapcar 'print (entget ename '("*")))
            )
        )
        (princ)
    )
)
   
Engineering Technologist • CAD Automation Practitioner
Automation ▸ Design ▸ Drafting ▸ Document Control ▸ Client
cadanalyst@gmail.comhttp://cadanalyst.slack.comhttp://linkedin.com/in/cadanalyst

daron

  • Guest
Re: ( acad 2006 vanilla ) dynamic block & hatch
« Reply #2 on: December 07, 2007, 11:06:10 AM »
Could you post a drawing of the block itself?

Guest

  • Guest
Re: ( acad 2006 vanilla ) dynamic block & hatch
« Reply #3 on: December 07, 2007, 11:06:51 AM »
For some reason, in this one particular drawing, when ever I flip the block the solid hatch that's part of it stays behind. I've tried everything I can think of! *baffled*


The one thing I've noticed with hatch patterns in DBs is that AutoCAD sometimes needs to be reminded that something has changed.  Does it look correct if you do a REGEN after flipping it?  I have to do that sometimes even with '08.

Mark

  • Custom Title
  • Seagull
  • Posts: 28762
Re: ( acad 2006 vanilla ) dynamic block & hatch
« Reply #4 on: December 07, 2007, 11:09:33 AM »
Dump the hatch object so we can see its data?

Code: [Select]
; IAcadHatch2: AutoCAD Hatch2 Interface
; Property values:
;   Application (RO) = #<VLA-OBJECT IAcadApplication 00c2eb8c>
;   Area (RO) = 0.406802
;   AssociativeHatch = -1
;   Document (RO) = #<VLA-OBJECT IAcadDocument 07056f84>
;   Elevation = 0.0
;   GradientAngle = 0.0
;   GradientCentered = -1
;   GradientColor1 = #<VLA-OBJECT IAcadAcCmColor 0529fd40>
;   GradientColor2 = #<VLA-OBJECT IAcadAcCmColor 052982d0>
;   GradientName = "LINEAR"
;   Handle (RO) = "AE4E"
;   HasExtensionDictionary (RO) = 0
;   HatchObjectType = 0
;   HatchStyle = 0
;   Hyperlinks (RO) = #<VLA-OBJECT IAcadHyperlinks 0529f9c4>
;   ISOPenWidth = 100
;   Layer = "0"
;   Linetype = "ByLayer"
;   LinetypeScale = 1.0
;   Lineweight = -1
;   Normal = (0.0 0.0 1.0)
;   NumberOfLoops (RO) = 1
;   ObjectID (RO) = 2127543920
;   ObjectName (RO) = "AcDbHatch"
;   Origin = (0.0 0.0)
;   OwnerID (RO) = 2127543856
;   PatternAngle = 0.0
;   PatternDouble = 0
;   PatternName (RO) = "SOLID"
;   PatternScale = 1.0
;   PatternSpace = 1.0
;   PatternType (RO) = 1
;   PlotStyleName = "Color_51"
;   TrueColor = #<VLA-OBJECT IAcadAcCmColor 05251710>
;   Visible = -1

(-1 . <Entity name: 7ecfbe70>)
(0 . "HATCH")
(330 . <Entity name: 7ecfbe30>)
(5 . "AE4E")
(100 . "AcDbEntity")
(67 . 0)
(8 . "0")
(62 . 51)
(100 . "AcDbHatch")
(10 0.0 0.0 0.0)
(210 0.0 0.0 1.0)
(2 . "SOLID")
(70 . 1)
(71 . 1)
(91 . 1)
(92 . 7)
(72 . 1)
(73 . 1)
(93 . 9)
(10 0.497657 -0.620711 0.0)
(42 . 0.0)
(10 0.0 0.0 0.0)
(42 . 0.0)
(10 0.397657 -0.720711 0.0)
(42 . 0.0)
(10 0.397657 -0.855079 0.0)
(42 . 0.414214)
(10 0.447657 -0.905079 0.0)
(42 . 0.0)
(10 1.6048 -0.905079 0.0)
(42 . 0.414214)
(10 1.6548 -0.855079 0.0)
(42 . 0.0)
(10 1.6548 -0.670711 0.0)
(42 . 0.414214)
(10 1.6048 -0.620711 0.0)
(42 . 0.0)
(97 . 1)
(330 . <Entity name: 7ecfbe60>)
(75 . 0)
(76 . 1)
(47 . 0.00213631)
(98 . 1)
(10 0.583884 -0.680093 0.0)
(450 . 0)
(451 . 0)
(460 . 0.0)
(461 . 0.0)
(452 . 1)
(462 . 1.0)
(453 . 2)
(463 . 0.0)
(63 . 5)
(421 . 255)
(463 . 1.0)
(63 . 7)
(421 . 16777215)
(470 . "LINEAR")
(-3 ("ACAD" (1010 0.0 0.0 0.0)) ("AcDbBlockRepETag" (1070 . 1) (1071 . 3) (1005 . "AE4E")))
 
TheSwamp.org  (serving the CAD community since 2003)

Mark

  • Custom Title
  • Seagull
  • Posts: 28762
Re: ( acad 2006 vanilla ) dynamic block & hatch
« Reply #5 on: December 07, 2007, 11:10:36 AM »
Could you post a drawing of the block itself?

I could Daron but it works fine in every other drawing.
TheSwamp.org  (serving the CAD community since 2003)

Mark

  • Custom Title
  • Seagull
  • Posts: 28762
Re: ( acad 2006 vanilla ) dynamic block & hatch
« Reply #6 on: December 07, 2007, 11:11:51 AM »
Does it look correct if you do a REGEN after flipping it?

Nope! That works in other drawings, just not this one. :-)
TheSwamp.org  (serving the CAD community since 2003)

MP

  • Seagull
  • Posts: 17750
  • Have thousands of dwgs to process? Contact me.
Re: ( acad 2006 vanilla ) dynamic block & hatch
« Reply #7 on: December 07, 2007, 11:13:12 AM »
I could Daron but it works fine in every other drawing.

So don't post the other drawings.

:)
Engineering Technologist • CAD Automation Practitioner
Automation ▸ Design ▸ Drafting ▸ Document Control ▸ Client
cadanalyst@gmail.comhttp://cadanalyst.slack.comhttp://linkedin.com/in/cadanalyst

Mark

  • Custom Title
  • Seagull
  • Posts: 28762
Re: ( acad 2006 vanilla ) dynamic block & hatch
« Reply #8 on: December 07, 2007, 11:20:02 AM »
I could Daron but it works fine in every other drawing.

So don't post the other drawings.

:)

fine .... *sigh* :lol:
TheSwamp.org  (serving the CAD community since 2003)

Mark

  • Custom Title
  • Seagull
  • Posts: 28762
Re: ( acad 2006 vanilla ) dynamic block & hatch
« Reply #9 on: December 07, 2007, 11:21:13 AM »
After deleting everything and purging the .dwg the block works fine in said drawing so .....
TheSwamp.org  (serving the CAD community since 2003)

ronjonp

  • Needs a day job
  • Posts: 7529
Re: ( acad 2006 vanilla ) dynamic block & hatch
« Reply #10 on: December 07, 2007, 11:25:04 AM »
Mark,

Your stretch action makes the block look funky in 2008. I don't have any problem with the mirror?

Ron

Windows 11 x64 - AutoCAD /C3D 2023

Custom Build PC

Mark

  • Custom Title
  • Seagull
  • Posts: 28762
Re: ( acad 2006 vanilla ) dynamic block & hatch
« Reply #11 on: December 07, 2007, 11:33:12 AM »
If I open the block in the block editor then close and save, the hatch in the block updates and looks correct. But it's only good for one time.
TheSwamp.org  (serving the CAD community since 2003)

Mark

  • Custom Title
  • Seagull
  • Posts: 28762
Re: ( acad 2006 vanilla ) dynamic block & hatch
« Reply #12 on: December 07, 2007, 11:33:54 AM »
Mark,

Your stretch action makes the block look funky in 2008. I don't have any problem with the mirror?

Ron

Thanks Ron.
TheSwamp.org  (serving the CAD community since 2003)

Mark

  • Custom Title
  • Seagull
  • Posts: 28762
Re: ( acad 2006 vanilla ) dynamic block & hatch
« Reply #13 on: December 07, 2007, 11:42:37 AM »
Attached is the .dwg that's giving me the problems. I've stripped most everthing out of it and the block still does not work correctly.
TheSwamp.org  (serving the CAD community since 2003)

ronjonp

  • Needs a day job
  • Posts: 7529
Re: ( acad 2006 vanilla ) dynamic block & hatch
« Reply #14 on: December 07, 2007, 11:55:09 AM »
That is strange...it breaks here too. I have still not figured out why my block completely loses its dynamic properties in certain drawings. Me thinks Autodesk needs a little bit more time developing them.

http://www.theswamp.org/index.php?topic=20186.0

Windows 11 x64 - AutoCAD /C3D 2023

Custom Build PC